summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSascha Hlusiak <saschahlusiak@arcor.de>2007-10-06 13:25:54 (GMT)
committerSascha Hlusiak <saschahlusiak@arcor.de>2007-10-06 13:25:54 (GMT)
commit2f270ff3dcf0a95bd9118b0db850fb98b7a4ec22 (patch)
treed6802e96ca8deceaa68e11228b0c192dc1eb7cf3
parent65009ab568500fac9980239a752d346a0d9b5ff1 (diff)
Set requirement of xorg-server to at most 1.3.99.901, because it breaksxf86-input-joystick-1.2
key events. Use version xf86-input-joystick-1.3.0+ instead. xorg-server-1.4 is incompatible with xf86-input-joystick earlier than 1.3.0. When generating key down events server and applications can crash because the device does not have a keymap. This is fixed in the 1.3 branch, which breaks compatibility with xorg-server < 1.4.
-rw-r--r--configure.ac2
1 files changed, 1 insertions, 1 deletions
diff --git a/configure.ac b/configure.ac
index 88b5315..4e30a84 100644
--- a/configure.ac
+++ b/configure.ac
@@ -89,7 +89,7 @@ XORG_DRIVER_CHECK_EXT(XINPUT, inputproto)
# Checks for pkg-config packages
PKG_CHECK_MODULES(XORG,
- [xorg-server >= 1.0.99.901] xproto $REQUIRED_MODULES)
+ [xorg-server >= 1.0.99.901 xorg-server < 1.3.99.901] xproto $REQUIRED_MODULES)
sdkdir=$(pkg-config --variable=sdkdir xorg-server)
CFLAGS="$CFLAGS $XORG_CFLAGS "' -I$(top_srcdir)/src'